# Xapian::ErrorHandler Class Reference

Error handling class. More...

`#include <errorhandler.h>`

List of all members.

## Public Member Functions

| ErrorHandler ()
| Standard constructor.
virtual | ~ErrorHandler ()
| Standard destructor.
void | operator() (Xapian::Error &error)
| Method called to handle an error.

## Detailed Description

Error handling class.

## Constructor & Destructor Documentation

Xapian::ErrorHandler::ErrorHandler | ( |  | ) | `[inline]`

| Standard constructor.

virtual Xapian::ErrorHandler::~ErrorHandler | ( |  | ) | `[inline, virtual]`

| Standard destructor.

## Member Function Documentation

void Xapian::ErrorHandler::operator() | ( | Xapian::Error & | error | ) |

Method called to handle an error.

This method is called when an error occurs, and calls handle_error() for user handlers to deal with the error.

Parameters:

  | error | The error which has occurred.

The documentation for this class was generated from the following file:

- include/xapian/errorhandler.h